<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.2.2.final using JasperReports Library version 6.2.2  -->
<!-- 2018-08-15T15:00:37 -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="RptPaiBillCanCel" pageWidth="842" pageHeight="595" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="742" leftMargin="50" rightMargin="50" topMargin="20" bottomMargin="0" uuid="d002495b-9d72-4949-82d0-a293174a5175">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="db.xml"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<style name="Table_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 1_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 2_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 3_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<subDataset name="meascs" uuid="0db089ef-4688-4724-bff9-5519f2a7ba2a">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="db.xml"/>
		<parameter name="CASHIER_ID" class="java.lang.String">
			<defaultValueExpression><![CDATA[$P{CASHIER_ID}]]></defaultValueExpression>
		</parameter>
		<parameter name="DIST_ID" class="java.lang.String">
			<defaultValueExpression><![CDATA[$P{DIST_ID}]]></defaultValueExpression>
		</parameter>
		<parameter name="P_LANGUAGE" class="java.lang.String">
			<defaultValueExpression><![CDATA[$P{P_LANGUAGE}]]></defaultValueExpression>
		</parameter>
		<queryString>
			<![CDATA[SELECT  LINE.ASSIGN_DATE,REQ_NO,
DECODE('TH', 'TH',CUST.CUST_NAME_TH,CUST.CUST_NAME_EN) AS CUST_NAME,
MET.METER_SIZE,
DECODE('TH', 'TH',V_ADD.ADDR_NAME_TH,V_ADD.ADDR_NAME_EN) AS CA_ADDR_NAME,
INS.UI,INS.MRU_ID,
DECODE('TH', 'TH',GT.TYPE_NAME_TH,GT.TYPE_NAME_EN) AS REQUEST_NAME,
DECODE('TH', 'TH',CMD.NAME_TH,CMD.NAME_EN) AS COMMAND_NAME,
BOR_MAS.BM_BOR_NO,
BOR_DTL.BD_DEVICE_ID AS MEA_NO,
BM_DELIVER_DT
FROM REQ_T_REQUEST REQ
LEFT JOIN REQ_M_GROUP_TYPE GT ON GT.GROUP_CODE = REQ.GROUP_CODE AND GT.TYPE_CODE = REQ.TYPE_CODE AND GT.RECORD_STATUS ='A'
INNER JOIN CONTRACT_ACCOUNT CA ON CA.CA = REQ.CA_ID AND CA.STATUS ='01'
INNER JOIN V_SCS_CUSTOMER CUST ON CUST.CUST_ID = REQ.CUST_ID 
INNER JOIN INSTALLATION INS ON INS.UI = CA.UI AND INS.STATUS = '01'
INNER JOIN CA_ADDRESS_MAP CA_ADD ON CA_ADD.CA = CA.CA AND CA_ADD.TYPE = 1 
LEFT JOIN V_SCS_ADDRESS V_ADD ON V_ADD.ADDR_NO = CA_ADD.ADDR_NO 
LEFT JOIN METER_SIZE_MASTER MET ON MET.METER_SIZE_ID = INS.METER_SIZE_ID AND MET.LANGUAGE_CODE = 'TH' 
LEFT JOIN MET_T_BOR_MASTER BOR_MAS ON BOR_MAS.BM_REQ_ID = REQ.REQ_ID AND BOR_MAS.BM_DIST_ID = REQ.RESPONSIBLE_DIST_ID AND BOR_MAS.BM_UI = INS.UI
LEFT JOIN MET_T_BOR_DETAIL BOR_DTL ON BOR_DTL.BD_BOR_NO = BOR_MAS.BM_BOR_NO AND BOR_DTL.BD_WH_DIST_ID = BOR_MAS.BM_DIST_ID
INNER JOIN REQ_T_REQUEST_LINE_OPERATION LINE ON LINE.REQ_ID = REQ.REQ_ID AND LINE.RECORD_STATUS ='A' AND LINE.DIVISION =25
AND LINE.STATUS = 'OPEN' 
LEFT JOIN REQ_M_COMMAND CMD ON CMD.COMMAND_ID = LINE.CMD_CURRENT AND CMD.RECORD_STATUS ='A'
WHERE REQ.RECORD_STATUS = 'A'
AND REQ.STATUS NOT IN('COMPLETE','CLOSE','CANCEL')
AND REQ.RESPONSIBLE_DIST_ID = 6801
--AND LINE.OPERATION_ID IN(P_OPERATION_ID_LIST)
ORDER BY REQ.REQ_NO ASC]]>
		</queryString>
		<field name="ASSIGN_DATE" class="java.sql.Date"/>
		<field name="REQ_NO" class="java.math.BigDecimal"/>
		<field name="CUST_NAME" class="java.lang.String"/>
		<field name="METER_SIZE" class="java.lang.String"/>
		<field name="CA_ADDR_NAME" class="java.lang.String"/>
		<field name="UI" class="java.math.BigDecimal"/>
		<field name="MRU_ID" class="java.lang.String"/>
		<field name="REQUEST_NAME" class="java.lang.String"/>
		<field name="COMMAND_NAME" class="java.lang.String"/>
		<field name="BM_BOR_NO" class="java.lang.String"/>
		<field name="MEA_NO" class="java.lang.String"/>
		<field name="BM_DELIVER_DT" class="java.sql.Date"/>
		<variable name="cnt_receipt" class="java.lang.Integer" calculation="Count">
			<variableExpression><![CDATA[$V{COLUMN_COUNT}]]></variableExpression>
			<initialValueExpression><![CDATA[0]]></initialValueExpression>
		</variable>
	</subDataset>
	<parameter name="DIST_ID" class="java.lang.String">
		<parameterDescription><![CDATA[]]></parameterDescription>
		<defaultValueExpression><![CDATA[6801]]></defaultValueExpression>
	</parameter>
	<parameter name="CASHIER_ID" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[]]></parameterDescription>
	</parameter>
	<parameter name="RECEIPT_DATE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="RECEIPT_CA" class="java.lang.String" isForPrompting="false"/>
	<parameter name="REC_STATUS" class="java.lang.String"/>
	<parameter name="P_LANGUAGE" class="java.lang.String"/>
	<parameter name="RESPONSIBLE_DIST_ID" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[]]></parameterDescription>
	</parameter>
	<parameter name="START_DATE" class="java.util.Date"/>
	<parameter name="END_DATE" class="java.util.Date"/>
	<parameter name="RECEIVER" class="java.lang.String"/>
	<queryString>
		<![CDATA[SELECT DIST_DESC  ,SYSDATE AS CURRENT_DATE,
TO_CHAR(SYSDATE,'HH24:MI:SS')AS CURRENT_TIME
from mea_district where dist_id = $P{DIST_ID} and language_code  = $P{P_LANGUAGE}]]>
	</queryString>
	<field name="DIST_DESC" class="java.lang.String"/>
	<field name="CURRENT_DATE" class="java.sql.Date"/>
	<field name="CURRENT_TIME" class="java.lang.String"/>
	<variable name="CURRENT_DATE" class="java.util.Date">
		<variableExpression><![CDATA[new java.util.Date()]]></variableExpression>
	</variable>
	<variable name="cnt_receipt" class="java.math.BigDecimal">
		<variableExpression><![CDATA[$V{cnt_receipt}]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="116" splitType="Stretch">
			<textField isBlankWhenNull="true">
				<reportElement x="50" y="10" width="60" height="16" uuid="535c1305-87ac-484b-b2bd-7c4cddf636bb"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{RECEIVER}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="3" y="10" width="40" height="16" uuid="ef9c5d0e-8d91-44d5-af90-51d9dc5bbdb7">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[ผู้ใช้ :]]></text>
			</staticText>
			<textField>
				<reportElement x="150" y="10" width="400" height="30" uuid="05dfd540-615a-4d66-ac22-68bff176a801"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="TH SarabunPSK" size="20"/>
				</textElement>
				<textFieldExpression><![CDATA["การไฟฟ้านครหลวงเขต "+$F{DIST_DESC}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="151" y="43" width="400" height="30" uuid="872c6e59-85aa-4d25-942a-3ca10c0154cb"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="TH SarabunPSK" size="20"/>
				</textElement>
				<textFieldExpression><![CDATA["รายงานงานที่ยังไม่ได้รับผลการติดตั้งเครื่องวัดฯ "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" isBlankWhenNull="true">
				<reportElement x="679" y="44" width="50" height="16" uuid="5f2db02f-483a-4ecb-a534-86c420b9cb7b"/>
				<textElement textAlignment="Left">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="647" y="44" width="20" height="16" uuid="5a5ce9c8-936a-4615-8bce-09ec69303239"/>
				<textElement textAlignment="Right">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="669" y="44" width="8" height="16" uuid="86ea6b07-ddb2-4962-a236-264b80910cac"/>
				<textElement textAlignment="Center" verticalAlignment="Bottom"/>
				<text><![CDATA[/]]></text>
			</staticText>
			<textField>
				<reportElement x="647" y="27" width="82" height="16" uuid="1f33bbd6-0849-4970-8c1c-cbcb7ea337b8"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{CURRENT_TIME}!=null?$F{CURRENT_TIME}:"-"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="647" y="11" width="82" height="16" uuid="be978b88-6dea-4634-939d-fb62f4d2ff5c"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{CURRENT_DATE}!=null?  th.or.mea.scs.util.DateUtils.toDateDDMMYYYYSimpleFormat($F{CURRENT_DATE},$P{P_LANGUAGE}):"-"]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="590" y="11" width="56" height="16" uuid="44594e4a-2c20-4dc1-8f90-7d8659972f81"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[วันที่:]]></text>
			</staticText>
			<staticText>
				<reportElement x="590" y="27" width="56" height="16" uuid="8ebf9a94-d1b8-485d-9ada-94dbb4e07e69"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[เวลา:]]></text>
			</staticText>
			<staticText>
				<reportElement x="590" y="44" width="56" height="16" uuid="acbb9522-dc4f-4484-bde7-535926d03ba4"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[หน้า:]]></text>
			</staticText>
			<staticText>
				<reportElement x="3" y="26" width="40" height="16" uuid="ef39c35e-0307-4944-b224-918b79ba6df1">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[โปรแกรม:]]></text>
			</staticText>
			<textField>
				<reportElement x="50" y="26" width="60" height="16" uuid="97b77c9e-9066-413a-bc5c-f11f3cd1a6d6"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA["ZISUWMR026"]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="3" y="42" width="40" height="16" uuid="9d65b28f-96ac-4a69-bf9c-febed08a304b">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<text><![CDATA[ระบบ:]]></text>
			</staticText>
			<textField>
				<reportElement x="50" y="42" width="60" height="16" uuid="f4232633-2902-4d6d-b288-291e131463ac"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA["PRD-900"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="150" y="77" width="400" height="30" uuid="d28eb5b0-a585-4b38-95ab-73364ad84d4b"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="TH SarabunPSK" size="20"/>
				</textElement>
				<textFieldExpression><![CDATA[($P{START_DATE}!=null?"วันที่ ":"")+( $P{START_DATE} !=null?   th.or.mea.scs.util.DateUtils.toStringDateSimpleFormat($P{START_DATE},$P{P_LANGUAGE},"dd.MM.YYYY"):"")
+( $P{END_DATE} !=null?   "  ถึง  ":"")+
( $P{END_DATE} !=null?   th.or.mea.scs.util.DateUtils.toStringDateSimpleFormat($P{END_DATE},$P{P_LANGUAGE},"dd.MM.YYYY"):"")]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="171" splitType="Stretch">
			<subreport>
				<reportElement mode="Opaque" x="3" y="5" width="717" height="160" isPrintWhenDetailOverflows="true" uuid="35ae02a5-bb12-4d69-af9b-e4800d571fb0"/>
				<subreportParameter name="RESPONSIBLE_DIST_ID">
					<subreportParameterExpression><![CDATA[$P{RESPONSIBLE_DIST_ID}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="DIST_ID">
					<subreportParameterExpression><![CDATA[$P{DIST_ID}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="REC_STATUS">
					<subreportParameterExpression><![CDATA[$P{REC_STATUS}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA["SATE/RptZISUWMR026_Sub_01.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="53" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
		</band>
	</pageFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
